# RemoteAccess

Monitors status of Check Point RemoteAccess VPN connections

Check Info:

* *service*: this cjeck creates the service *Remote Access* on the Check Point gateway
* *state*:\
    **critical** or **warning** if **dtpsStatCode** is '1' or '2' -> error description from **dtpsStatShortDescr**\
    **warning** if a RemoteAccess User with bad encryption (DES, 3DES, CAST, 3IDEA, NULL) is found\
    **warning/critical** if number of remote access users is above configured levels

* *wato*:
    * warning/critical level for number of remote access users
    * number of max. expected remote access users (used as max. for perfdata)

* *perfdata*: (all metrics are *count*)
    * DTPS users connected
    * RA users onnected
    * RA users active
    * RA users destroy
    * RA users idle
    * RA users phase1
    * RA users down
    * RA users init
    * RA users with bad encryption
    * RA users with office mode
    * RA users with IKE over TCP
    * RA users with UDP encapsulation
    * RA users in visitor mode
    * RA users with route all traffic

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")

