register_check_parameters(
    subgroup_networking,
    'checkpoint_remoteaccess',
    _('Check Point remote access'),
    Dictionary(
        help=_(''),
        elements=[
            ('raUsers',
             Tuple(
                 title=_("war/crit levels for number of RA users"),
                 help=_("warn/crit"),
                 elements=[
                     Integer(title=_("Warning at"), unit=_("sessions"), default_value=40),
                     Integer(title=_("Critical at"), unit=_("sessions"), default_value=100),
                 ],
             ),
             ),
            ('raMaxUsers',
                Integer(title=_('max. RA users for perfdata'), unit=_("sessions"), default_value=250)
             )
        ],
    ),
    None,
    match_type='dict',
)
